Manifest-Version: 1.0
Bnd-LastModified: 1728931314643
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Document Library Web
Bundle-SymbolicName: com.liferay.document.library.web
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 6.0.129.hotfix-6098-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.application.list;version="5.1",com.liferay.asset.auto.tagger.confi
 guration;version="1.1",com.liferay.asset.display.page.portlet;version
 ="6.1",com.liferay.asset.display.page.service;version="2.7",com.lifer
 ay.asset.info.item.provider;version="1.1",com.liferay.asset.kernel;ve
 rsion="2.0",com.liferay.asset.kernel.exception;version="3.0",com.life
 ray.asset.kernel.model;version="9.2",com.liferay.asset.kernel.service
 ;version="8.0",com.liferay.asset.kernel.service.persistence;version="
 10.0",com.liferay.asset.util;version="4.0",com.liferay.bulk.selection
 ;version="2.0",com.liferay.change.tracking.spi.display;version="1.6",
 com.liferay.change.tracking.spi.display.context;version="1.2",com.lif
 eray.configuration.admin.display;version="1.2",com.liferay.data.engin
 e.content.type;version="1.5",com.liferay.data.engine.field.type.util;
 version="1.2",com.liferay.data.engine.model;version="2.1",com.liferay
 .data.engine.rest.dto.v2_0;version="5.1",com.liferay.data.engine.rest
 .resource.exception;version="3.2",com.liferay.data.engine.rest.resour
 ce.v2_0;version="8.2",com.liferay.data.engine.taglib.servlet.taglib.d
 efinition;version="1.5",com.liferay.depot.group.provider;version="1.0
 ",com.liferay.depot.model;version="3.1",com.liferay.depot.service;ver
 sion="1.9",com.liferay.depot.util;version="1.0",com.liferay.diff;vers
 ion="1.0",com.liferay.digital.signature.configuration;version="1.0",c
 om.liferay.digital.signature.constants;version="1.0",com.liferay.docu
 ment.library.configuration;version="4.0",com.liferay.document.library
 .constants;version="2.0",com.liferay.document.library.display.context
 ;version="8.0",com.liferay.document.library.exception;version="1.1",c
 om.liferay.document.library.icon.provider;version="1.0",com.liferay.d
 ocument.library.kernel.antivirus;version="3.1",com.liferay.document.l
 ibrary.kernel.document.conversion;version="1.0",com.liferay.document.
 library.kernel.exception;version="4.0",com.liferay.document.library.k
 ernel.model;version="8.0",com.liferay.document.library.kernel.service
 ;version="9.0",com.liferay.document.library.kernel.store;version="3.1
 ",com.liferay.document.library.kernel.util;version="7.1",com.liferay.
 document.library.kernel.util.comparator;version="3.0",com.liferay.doc
 ument.library.kernel.versioning;version="1.0",com.liferay.document.li
 brary.portlet.toolbar.contributor;version="1.2",com.liferay.document.
 library.preview;version="1.1",com.liferay.document.library.preview.ex
 ception;version="1.0",com.liferay.document.library.repository.authori
 zation.capability;version="1.0",com.liferay.document.library.service;
 version="2.6",com.liferay.document.library.util;version="1.1",com.lif
 eray.document.library.visibility.controller;version="1.0",com.liferay
 .dynamic.data.lists.model;version="3.1",com.liferay.dynamic.data.list
 s.service;version="2.7",com.liferay.dynamic.data.mapping.exception;ve
 rsion="2.7",com.liferay.dynamic.data.mapping.form.values.factory;vers
 ion="1.0",com.liferay.dynamic.data.mapping.info.item.provider;version
 ="1.1",com.liferay.dynamic.data.mapping.item.selector;version="1.1",c
 om.liferay.dynamic.data.mapping.item.selector.criterion;version="1.1"
 ,com.liferay.dynamic.data.mapping.kernel;version="3.0",com.liferay.dy
 namic.data.mapping.model;version="7.1",com.liferay.dynamic.data.mappi
 ng.security.permission;version="1.0",com.liferay.dynamic.data.mapping
 .service;version="3.13",com.liferay.dynamic.data.mapping.storage;vers
 ion="2.0",com.liferay.dynamic.data.mapping.util;version="8.0",com.lif
 eray.dynamic.data.mapping.validator;version="1.7",com.liferay.expando
 .info.item.provider;version="1.0",com.liferay.expando.kernel.exceptio
 n;version="2.0",com.liferay.expando.kernel.model;version="6.0",com.li
 feray.exportimport.changeset;version="2.0",com.liferay.exportimport.c
 hangeset.portlet.action;version="1.0",com.liferay.exportimport.kernel
 .lar;version="4.3",com.liferay.exportimport.kernel.lifecycle;version=
 "4.0",com.liferay.exportimport.kernel.model;version="6.0",com.liferay
 .exportimport.kernel.staging;version="2.3",com.liferay.exportimport.p
 ortlet.preferences.processor;version="1.2",com.liferay.exportimport.s
 taged.model.repository;version="1.1",com.liferay.friendly.url.info.it
 em.provider;version="1.0",com.liferay.friendly.url.info.item.updater;
 version="1.0",com.liferay.friendly.url.model;version="3.1",com.lifera
 y.friendly.url.service;version="2.0",com.liferay.friendly.url.util.co
 mparator;version="1.1",com.liferay.frontend.taglib.clay.servlet.tagli
 b;version="7.0",com.liferay.frontend.taglib.clay.servlet.taglib.displ
 ay.context;version="2.0",com.liferay.frontend.taglib.clay.servlet.tag
 lib.util;version="4.0",com.liferay.info.collection.provider;version="
 4.0",com.liferay.info.display.url.provider;version="2.0",com.liferay.
 info.exception;version="2.5",com.liferay.info.field;version="4.1",com
 .liferay.info.field.type;version="4.2",com.liferay.info.filter;versio
 n="2.1",com.liferay.info.form;version="2.1",com.liferay.info.item;ver
 sion="6.0",com.liferay.info.item.capability;version="1.0",com.liferay
 .info.item.field.reader;version="3.0",com.liferay.info.item.provider;
 version="2.0",com.liferay.info.item.renderer;version="2.0",com.lifera
 y.info.list.renderer;version="3.0",com.liferay.info.localized;version
 ="2.0",com.liferay.info.pagination;version="1.1",com.liferay.info.sea
 rch;version="2.0",com.liferay.info.sort;version="1.0",com.liferay.inf
 o.taglib.list.renderer;version="1.0",com.liferay.info.taglib.servlet.
 taglib;version="1.2",com.liferay.info.type;version="2.0",com.liferay.
 item.selector;version="4.9",com.liferay.item.selector.criteria;versio
 n="2.3",com.liferay.item.selector.criteria.file.criterion;version="1.
 0",com.liferay.item.selector.criteria.folder.criterion;version="2.2",
 com.liferay.layout.display.page;version="3.1",com.liferay.layout.page
 .template.info.item.capability;version="1.1",com.liferay.layout.page.
 template.service;version="5.1",com.liferay.layout.seo.template,com.li
 feray.learn;version="1.0",com.liferay.osgi.service.tracker.collection
 s.list;version="3.0",com.liferay.osgi.service.tracker.collections.map
 ;version="2.3",com.liferay.petra.function;version="1.5",com.liferay.p
 etra.lang;version="1.3",com.liferay.petra.reflect;version="1.5",com.l
 iferay.petra.sql.dsl;version="1.1",com.liferay.petra.sql.dsl.query;ve
 rsion="2.0",com.liferay.petra.string;version="1.7",com.liferay.portal
 .configuration.metatype.annotations;version="1.6",com.liferay.portal.
 configuration.metatype.bnd.util;version="3.0",com.liferay.portal.conf
 iguration.persistence.listener;version="1.1",com.liferay.portal.insta
 nce.lifecycle;version="2.1",com.liferay.portal.kernel.annotation;vers
 ion="7.0",com.liferay.portal.kernel.application.type;version="1.0",co
 m.liferay.portal.kernel.bean;version="10.1",com.liferay.portal.kernel
 .change.tracking;version="2.2",com.liferay.portal.kernel.dao.orm;vers
 ion="12.0",com.liferay.portal.kernel.dao.search;version="9.0",com.lif
 eray.portal.kernel.display.context.helper;version="2.0",com.liferay.p
 ortal.kernel.exception;version="13.1",com.liferay.portal.kernel.io.un
 sync;version="8.0",com.liferay.portal.kernel.json;version="11.0",com.
 liferay.portal.kernel.language;version="11.0",com.liferay.portal.kern
 el.lock;version="8.0",com.liferay.portal.kernel.log;version="8.0",com
 .liferay.portal.kernel.messaging;version="15.0",com.liferay.portal.ke
 rnel.mobile.device;version="9.0",com.liferay.portal.kernel.model;vers
 ion="28.1",com.liferay.portal.kernel.model.portlet;version="2.0",com.
 liferay.portal.kernel.module.configuration;version="2.1",com.liferay.
 portal.kernel.module.framework;version="1.4",com.liferay.portal.kerne
 l.notifications;version="11.0",com.liferay.portal.kernel.plugin;versi
 on="7.0",com.liferay.portal.kernel.pop;version="7.0",com.liferay.port
 al.kernel.portlet;version="22.0",com.liferay.portal.kernel.portlet.br
 idges.mvc;version="6.0",com.liferay.portal.kernel.portlet.bridges.mvc
 .constants;version="1.0",com.liferay.portal.kernel.portlet.configurat
 ion.icon;version="5.0",com.liferay.portal.kernel.portlet.toolbar.cont
 ributor;version="1.1",com.liferay.portal.kernel.portlet.url.builder;v
 ersion="1.1",com.liferay.portal.kernel.portletdisplaytemplate;version
 ="6.4",com.liferay.portal.kernel.repository;version="12.1",com.lifera
 y.portal.kernel.repository.capabilities;version="2.0",com.liferay.por
 tal.kernel.repository.event;version="1.1",com.liferay.portal.kernel.r
 epository.http.header.customizer;version="1.0",com.liferay.portal.ker
 nel.repository.model;version="11.1",com.liferay.portal.kernel.reposit
 ory.registry;version="1.1",com.liferay.portal.kernel.resource.bundle;
 version="1.0",com.liferay.portal.kernel.scheduler;version="15.0",com.
 liferay.portal.kernel.search;version="20.0",com.liferay.portal.kernel
 .security.auth;version="6.0",com.liferay.portal.kernel.security.permi
 ssion;version="6.3",com.liferay.portal.kernel.security.permission.pro
 pagator;version="1.0",com.liferay.portal.kernel.security.permission.r
 esource;version="2.2",com.liferay.portal.kernel.service;version="19.3
 ",com.liferay.portal.kernel.service.permission;version="5.0",com.life
 ray.portal.kernel.servlet;version="11.2",com.liferay.portal.kernel.se
 rvlet.taglib.ui;version="10.0",com.liferay.portal.kernel.settings;ver
 sion="3.2",com.liferay.portal.kernel.struts;version="8.0",com.liferay
 .portal.kernel.template;version="14.0",com.liferay.portal.kernel.them
 e;version="10.2",com.liferay.portal.kernel.trash;version="14.0",com.l
 iferay.portal.kernel.upgrade;version="19.1",com.liferay.portal.kernel
 .upload;version="9.0",com.liferay.portal.kernel.util;version="53.1",c
 om.liferay.portal.kernel.view.count;version="1.2",com.liferay.portal.
 kernel.webdav;version="10.0",com.liferay.portal.kernel.workflow;versi
 on="18.1",com.liferay.portal.kernel.xml;version="7.1",com.liferay.por
 tal.kernel.xmlrpc;version="6.2",com.liferay.portal.kernel.zip;version
 ="6.4",com.liferay.portal.repository.liferayrepository.model,com.life
 ray.portal.repository.registry,com.liferay.portal.repository.temporar
 yrepository,com.liferay.portal.repository.util,com.liferay.portal.sea
 rch.hits,com.liferay.portal.struts,com.liferay.portal.upgrade.registr
 y;version="5.0",com.liferay.portal.upgrade.v7_0_0;version="6.0",com.l
 iferay.portal.util;version="42.0",com.liferay.portal.webdav,com.lifer
 ay.portlet.asset.util.comparator,com.liferay.portlet.display.template
 ;version="2.0",com.liferay.portlet.display.template.exportimport.port
 let.preferences.processor;version="1.0",com.liferay.portlet.documentl
 ibrary;version="1.1",com.liferay.portlet.documentlibrary.asset;versio
 n="2.0",com.liferay.portlet.documentlibrary.asset.model,com.liferay.p
 ortlet.documentlibrary.constants,com.liferay.portlet.documentlibrary.
 webdav,com.liferay.ratings.kernel;version="1.2",com.liferay.ratings.k
 ernel.definition;version="1.1",com.liferay.site.navigation.taglib.ser
 vlet.taglib.util;version="1.0",com.liferay.social.kernel.model;versio
 n="6.1",com.liferay.staging;version="1.1",com.liferay.subscription.se
 rvice;version="1.7",com.liferay.taglib.search;version="2.0",com.lifer
 ay.taglib.security;version="8.1",com.liferay.taglib.servlet;version="
 3.0",com.liferay.taglib.util;version="14.0",com.liferay.template.info
 .item.capability;version="1.0",com.liferay.template.info.item.provide
 r;version="1.0",com.liferay.trash;version="2.2",com.liferay.trash.mod
 el;version="4.1",com.liferay.trash.service;version="2.5",com.liferay.
 upload;version="1.2",javax.portlet,javax.portlet.annotations,javax.se
 rvlet,javax.servlet.http,javax.servlet.jsp;version="2.3",org.apache.c
 ommons.fileupload;version="1.3",org.osgi.framework;version="1.8",org.
 osgi.service.cm;version="1.6",org.apache.xerces.parsers
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-JS-Config: /META-INF/resources/document_library/js/legacy/conf
 ig.js
Liferay-Releng-App-Title: Liferay Document Library
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Communication
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: collaboration
Liferay-Releng-Suite-Description: The Liferay Collaboration suite prov
 ides applications and features that help users share ideas, implement
  them, and produce terrific results. Its apps such as Message Boards 
 and Blogs help users start discussions, ask questions, share ideas, a
 nd connect with other users. Wiki allows users to share in-depth info
 rmation. And Alerts and Announcements facilitate broadcasting informa
 tion and notifications.<br /><br />As users collaborate, they're sure
  to produce important files. The suite's Documents and Media Library 
 allows users to store files, share them, and publish them. It not onl
 y works with Liferay's built-in repository but also allows you to int
 egrate with external repositories, such CMIS repositories. Users can 
 add and share all kinds of files, including documents, presentations,
  images, and videos. And the suite's Documents and Media app and Medi
 a Gallery help users display files the way they like them.<br /><br /
 >As users engage in site activities, you'll want to recognize them an
 d connect them with other users. The suite's social networking apps a
 nd features enable you to attribute social equity to active users aut
 omatically by increasing their rank on the site. You can even highlig
 ht user activities to show your site's liveliness. The Mentions featu
 re facilitates notifying specific users in the context of site conten
 t, discussions, and comments. The social apps also help users share t
 heir thoughts on the your sites and other social sites, such as Faceb
 ook and Twitter. Combined with the suite's collaboration and document
  management features, the Collaboration suite's social features help 
 develop awesome communities, foster high morale, and make work intere
 sting.<br /><br />Apps and Features: Activities, Alerts, Announcement
 s, Blogs, Bookmarks, Comments, Friends/My Sites/Portal/Site Members D
 irectory, Documents and Media, Friend Requests, Image Uploader, Invit
 e Members, Media Gallery, Message Boards, Mentions, Microblogs, Page 
 Flags/Comments/Ratings, Quick Note, Requests, Social Activity, User/G
 roup Statistics, Wiki.<br /><br />This suite may contain modules that
  depend on Foundation suite modules. This suite is available in the L
 iferay bundle.
Liferay-Releng-Suite-Title: Liferay Collaboration
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.document.library.web.display.context.depe
 ndencies,com.liferay.document.library.web.internal.application.list,c
 om.liferay.document.library.web.internal.asset.model,com.liferay.docu
 ment.library.web.internal.bulk.selection,com.liferay.document.library
 .web.internal.change.tracking.spi.display,com.liferay.document.librar
 y.web.internal.configuration,com.liferay.document.library.web.interna
 l.configuration.admin.service,com.liferay.document.library.web.intern
 al.constants,com.liferay.document.library.web.internal.custom.attribu
 tes,com.liferay.document.library.web.internal.dao.search,com.liferay.
 document.library.web.internal.data.engine.content.type,com.liferay.do
 cument.library.web.internal.display.context,com.liferay.document.libr
 ary.web.internal.display.context.helper,com.liferay.document.library.
 web.internal.display.context.logic,com.liferay.document.library.web.i
 nternal.display.context.util,com.liferay.document.library.web.interna
 l.exception,com.liferay.document.library.web.internal.exportimport.li
 fecycle,com.liferay.document.library.web.internal.exportimport.portle
 t.preferences.processor,com.liferay.document.library.web.internal.hel
 per,com.liferay.document.library.web.internal.icon.provider,com.lifer
 ay.document.library.web.internal.info.collection.provider,com.liferay
 .document.library.web.internal.info.display.contributor.portlet,com.l
 iferay.document.library.web.internal.info.display.url.provider,com.li
 feray.document.library.web.internal.info.item,com.liferay.document.li
 brary.web.internal.info.item.provider,com.liferay.document.library.we
 b.internal.info.item.renderer,com.liferay.document.library.web.intern
 al.info.item.updater,com.liferay.document.library.web.internal.info.l
 ist.renderer,com.liferay.document.library.web.internal.info.search,co
 m.liferay.document.library.web.internal.lar,com.liferay.document.libr
 ary.web.internal.layout.display.page,com.liferay.document.library.web
 .internal.messaging,com.liferay.document.library.web.internal.model.l
 istener,com.liferay.document.library.web.internal.notifications,com.l
 iferay.document.library.web.internal.portal.settings.configuration.ad
 min.display,com.liferay.document.library.web.internal.portlet,com.lif
 eray.document.library.web.internal.portlet.action,com.liferay.documen
 t.library.web.internal.portlet.action.helper,com.liferay.document.lib
 rary.web.internal.portlet.configuration.icon,com.liferay.document.lib
 rary.web.internal.portlet.display.template,com.liferay.document.libra
 ry.web.internal.portlet.route,com.liferay.document.library.web.intern
 al.portlet.toolbar.contributor,com.liferay.document.library.web.inter
 nal.portlet.toolbar.contributor.helper,com.liferay.document.library.w
 eb.internal.ratings.definition,com.liferay.document.library.web.inter
 nal.search,com.liferay.document.library.web.internal.security.permiss
 ion.resource,com.liferay.document.library.web.internal.servlet,com.li
 feray.document.library.web.internal.servlet.taglib.clay,com.liferay.d
 ocument.library.web.internal.servlet.taglib.definition,com.liferay.do
 cument.library.web.internal.settings,com.liferay.document.library.web
 .internal.social,com.liferay.document.library.web.internal.struts,com
 .liferay.document.library.web.internal.upgrade.registry,com.liferay.d
 ocument.library.web.internal.upgrade.v1_0_0,com.liferay.document.libr
 ary.web.internal.upload,com.liferay.document.library.web.internal.uti
 l,com.liferay.document.library.web.internal.webdav,com.liferay.docume
 nt.library.web.portlet.display.template.dependencies,com.liferay.docu
 ment.library.web.template.dependencies,resource-actions
Provide-Capability: osgi.webresource;osgi.webresource="@liferay/docume
 nt-library-web";version:Version="6.0.129.hotfix-6098-7413",osgi.servi
 ce;objectClass:List<String>="com.liferay.application.list.PanelApp";u
 ses:="com.liferay.application.list",osgi.service;objectClass:List<Str
 ing>="com.liferay.asset.kernel.model.AssetRendererFactory";uses:="com
 .liferay.asset.kernel.model",osgi.service;objectClass:List<String>="c
 om.liferay.change.tracking.spi.display.CTDisplayRenderer";uses:="com.
 liferay.change.tracking.spi.display",osgi.service;objectClass:List<St
 ring>="com.liferay.configuration.admin.display.ConfigurationScreen";u
 ses:="com.liferay.configuration.admin.display",osgi.service;objectCla
 ss:List<String>="com.liferay.data.engine.content.type.DataDefinitionC
 ontentType";uses:="com.liferay.data.engine.content.type",osgi.service
 ;objectClass:List<String>="com.liferay.data.engine.taglib.servlet.tag
 lib.definition.DataLayoutBuilderDefinition";uses:="com.liferay.data.e
 ngine.taglib.servlet.taglib.definition",osgi.service;objectClass:List
 <String>="com.liferay.document.library.display.context.DLDisplayConte
 xtProvider";uses:="com.liferay.document.library.display.context",osgi
 .service;objectClass:List<String>="com.liferay.document.library.portl
 et.toolbar.contributor.DLPortletToolbarContributor,com.liferay.portal
 .kernel.portlet.toolbar.contributor.PortletToolbarContributor";uses:=
 "com.liferay.document.library.portlet.toolbar.contributor,com.liferay
 .portal.kernel.portlet.toolbar.contributor",osgi.service;objectClass:
 List<String>="com.liferay.document.library.web.internal.configuration
 .admin.service.CacheControlConfigurationManagedServiceFactory,org.osg
 i.service.cm.ManagedServiceFactory";uses:="com.liferay.document.libra
 ry.web.internal.configuration.admin.service,org.osgi.service.cm",osgi
 .service;objectClass:List<String>="com.liferay.document.library.web.i
 nternal.display.context.DLAdminDisplayContextProvider";uses:="com.lif
 eray.document.library.web.internal.display.context",osgi.service;obje
 ctClass:List<String>="com.liferay.document.library.web.internal.displ
 ay.context.IGDisplayContextProvider";uses:="com.liferay.document.libr
 ary.web.internal.display.context",osgi.service;objectClass:List<Strin
 g>="com.liferay.document.library.web.internal.exportimport.portlet.pr
 eferences.processor.DLCommentsAndRatingsExporterImporterCapability,co
 m.liferay.exportimport.portlet.preferences.processor.Capability";uses
 :="com.liferay.document.library.web.internal.exportimport.portlet.pre
 ferences.processor,com.liferay.exportimport.portlet.preferences.proce
 ssor",osgi.service;objectClass:List<String>="com.liferay.document.lib
 rary.web.internal.exportimport.portlet.preferences.processor.DLExport
 ImportPortletPreferencesProcessor,com.liferay.exportimport.portlet.pr
 eferences.processor.ExportImportPortletPreferencesProcessor";uses:="c
 om.liferay.document.library.web.internal.exportimport.portlet.prefere
 nces.processor,com.liferay.exportimport.portlet.preferences.processor
 ",osgi.service;objectClass:List<String>="com.liferay.document.library
 .web.internal.helper.DLTrashHelper";uses:="com.liferay.document.libra
 ry.web.internal.helper",osgi.service;objectClass:List<String>="com.li
 feray.document.library.web.internal.portlet.toolbar.contributor.DLPor
 tletToolbarContributorRegistry";uses:="com.liferay.document.library.w
 eb.internal.portlet.toolbar.contributor",osgi.service;objectClass:Lis
 t<String>="com.liferay.document.library.web.internal.portlet.toolbar.
 contributor.helper.DLPortletToolbarContributorHelper";uses:="com.life
 ray.document.library.web.internal.portlet.toolbar.contributor.helper"
 ,osgi.service;objectClass:List<String>="com.liferay.document.library.
 web.internal.portlet.toolbar.contributor.helper.MenuItemProvider";use
 s:="com.liferay.document.library.web.internal.portlet.toolbar.contrib
 utor.helper",osgi.service;objectClass:List<String>="com.liferay.docum
 ent.library.web.internal.upload.DLUploadFileEntryHandler";uses:="com.
 liferay.document.library.web.internal.upload",osgi.service;objectClas
 s:List<String>="com.liferay.document.library.web.internal.upload.DLUp
 loadResponseHandler";uses:="com.liferay.document.library.web.internal
 .upload",osgi.service;objectClass:List<String>="com.liferay.expando.k
 ernel.model.CustomAttributesDisplay";uses:="com.liferay.expando.kerne
 l.model",osgi.service;objectClass:List<String>="com.liferay.exportimp
 ort.kernel.lar.PortletDataHandler";uses:="com.liferay.exportimport.ke
 rnel.lar",osgi.service;objectClass:List<String>="com.liferay.exportim
 port.kernel.lifecycle.ExportImportLifecycleListener";uses:="com.lifer
 ay.exportimport.kernel.lifecycle",osgi.service;objectClass:List<Strin
 g>="com.liferay.exportimport.portlet.preferences.processor.ExportImpo
 rtPortletPreferencesProcessor";uses:="com.liferay.exportimport.portle
 t.preferences.processor",osgi.service;objectClass:List<String>="com.l
 iferay.friendly.url.info.item.provider.InfoItemFriendlyURLProvider";u
 ses:="com.liferay.friendly.url.info.item.provider",osgi.service;objec
 tClass:List<String>="com.liferay.friendly.url.info.item.updater.InfoI
 temFriendlyURLUpdater";uses:="com.liferay.friendly.url.info.item.upda
 ter",osgi.service;objectClass:List<String>="com.liferay.info.collecti
 on.provider.InfoCollectionProvider";uses:="com.liferay.info.collectio
 n.provider",osgi.service;objectClass:List<String>="com.liferay.info.d
 isplay.url.provider.InfoEditURLProvider";uses:="com.liferay.info.disp
 lay.url.provider",osgi.service;objectClass:List<String>="com.liferay.
 info.item.provider.InfoItemCapabilitiesProvider";uses:="com.liferay.i
 nfo.item.provider",osgi.service;objectClass:List<String>="com.liferay
 .info.item.provider.InfoItemDetailsProvider";uses:="com.liferay.info.
 item.provider",osgi.service;objectClass:List<String>="com.liferay.inf
 o.item.provider.InfoItemFieldValuesProvider";uses:="com.liferay.info.
 item.provider",osgi.service;objectClass:List<String>="com.liferay.inf
 o.item.provider.InfoItemFormProvider";uses:="com.liferay.info.item.pr
 ovider",osgi.service;objectClass:List<String>="com.liferay.info.item.
 provider.InfoItemFormVariationsProvider";uses:="com.liferay.info.item
 .provider",osgi.service;objectClass:List<String>="com.liferay.info.it
 em.provider.InfoItemObjectProvider";uses:="com.liferay.info.item.prov
 ider",osgi.service;objectClass:List<String>="com.liferay.info.item.pr
 ovider.InfoItemObjectVariationProvider";uses:="com.liferay.info.item.
 provider",osgi.service;objectClass:List<String>="com.liferay.info.ite
 m.provider.InfoItemPermissionProvider";uses:="com.liferay.info.item.p
 rovider",osgi.service;objectClass:List<String>="com.liferay.info.item
 .renderer.InfoItemRenderer";uses:="com.liferay.info.item.renderer",os
 gi.service;objectClass:List<String>="com.liferay.info.list.renderer.I
 nfoListRenderer";uses:="com.liferay.info.list.renderer",osgi.service;
 objectClass:List<String>="com.liferay.info.search.InfoSearchClassMapp
 er";uses:="com.liferay.info.search",osgi.service;objectClass:List<Str
 ing>="com.liferay.layout.display.page.LayoutDisplayPageProvider";uses
 :="com.liferay.layout.display.page",osgi.service;objectClass:List<Str
 ing>="com.liferay.portal.instance.lifecycle.PortalInstanceLifecycleLi
 stener,com.liferay.portal.kernel.model.ModelListener";uses:="com.life
 ray.portal.instance.lifecycle,com.liferay.portal.kernel.model",osgi.s
 ervice;objectClass:List<String>="com.liferay.portal.kernel.notificati
 ons.UserNotificationDefinition";uses:="com.liferay.portal.kernel.noti
 fications",osgi.service;objectClass:List<String>="com.liferay.portal.
 kernel.notifications.UserNotificationHandler";uses:="com.liferay.port
 al.kernel.notifications",osgi.service;objectClass:List<String>="com.l
 iferay.portal.kernel.portlet.ConfigurationAction";uses:="com.liferay.
 portal.kernel.portlet",osgi.service;objectClass:List<String>="com.lif
 eray.portal.kernel.portlet.EditPortletProvider,com.liferay.portal.ker
 nel.portlet.ManagePortletProvider,com.liferay.portal.kernel.portlet.V
 iewPortletProvider";uses:="com.liferay.portal.kernel.portlet,com.life
 ray.portal.kernel.portlet,com.liferay.portal.kernel.portlet",osgi.ser
 vice;objectClass:List<String>="com.liferay.portal.kernel.portlet.Edit
 PortletProvider,com.liferay.portal.kernel.portlet.ViewPortletProvider
 ";uses:="com.liferay.portal.kernel.portlet,com.liferay.portal.kernel.
 portlet",osgi.service;objectClass:List<String>="com.liferay.portal.ke
 rnel.portlet.FriendlyURLMapper";uses:="com.liferay.portal.kernel.port
 let",osgi.service;objectClass:List<String>="com.liferay.portal.kernel
 .portlet.FriendlyURLResolver";uses:="com.liferay.portal.kernel.portle
 t",osgi.service;objectClass:List<String>="com.liferay.portal.kernel.p
 ortlet.PortletLayoutFinder";uses:="com.liferay.portal.kernel.portlet"
 ,osgi.service;objectClass:List<String>="com.liferay.portal.kernel.por
 tlet.bridges.mvc.MVCActionCommand";uses:="com.liferay.portal.kernel.p
 ortlet.bridges.mvc",osgi.service;objectClass:List<String>="com.lifera
 y.portal.kernel.portlet.bridges.mvc.MVCRenderCommand";uses:="com.life
 ray.portal.kernel.portlet.bridges.mvc",osgi.service;objectClass:List<
 String>="com.liferay.portal.kernel.portlet.bridges.mvc.MVCResourceCom
 mand";uses:="com.liferay.portal.kernel.portlet.bridges.mvc",osgi.serv
 ice;objectClass:List<String>="com.liferay.portal.kernel.portlet.confi
 guration.icon.PortletConfigurationIcon";uses:="com.liferay.portal.ker
 nel.portlet.configuration.icon",osgi.service;objectClass:List<String>
 ="com.liferay.portal.kernel.portlet.toolbar.contributor.PortletToolba
 rContributor";uses:="com.liferay.portal.kernel.portlet.toolbar.contri
 butor",osgi.service;objectClass:List<String>="com.liferay.portal.kern
 el.repository.http.header.customizer.FileEntryHttpHeaderCustomizer";u
 ses:="com.liferay.portal.kernel.repository.http.header.customizer",os
 gi.service;objectClass:List<String>="com.liferay.portal.kernel.struts
 .StrutsAction";uses:="com.liferay.portal.kernel.struts",osgi.service;
 objectClass:List<String>="com.liferay.portal.kernel.template.Template
 Handler";uses:="com.liferay.portal.kernel.template",osgi.service;obje
 ctClass:List<String>="com.liferay.portal.kernel.webdav.WebDAVStorage"
 ;uses:="com.liferay.portal.kernel.webdav",osgi.service;objectClass:Li
 st<String>="com.liferay.portal.upgrade.registry.UpgradeStepRegistrato
 r";uses:="com.liferay.portal.upgrade.registry",osgi.service;objectCla
 ss:List<String>="com.liferay.portlet.display.template.exportimport.po
 rtlet.preferences.processor.PortletDisplayTemplateRegister";uses:="co
 m.liferay.portlet.display.template.exportimport.portlet.preferences.p
 rocessor",osgi.service;objectClass:List<String>="com.liferay.ratings.
 kernel.definition.PortletRatingsDefinition";uses:="com.liferay.rating
 s.kernel.definition",osgi.service;objectClass:List<String>="com.lifer
 ay.social.kernel.model.SocialActivityInterpreter";uses:="com.liferay.
 social.kernel.model",osgi.service;objectClass:List<String>="javax.por
 tlet.Portlet";uses:="javax.portlet"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=jsp.taglib
 )(uri=http://java.sun.com/portlet_2_0))",osgi.extender;filter:="(&(os
 gi.extender=jsp.taglib)(uri=http://liferay.com/tld/asset))",osgi.exte
 nder;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld
 /aui))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http:
 //liferay.com/tld/clay))",osgi.extender;filter:="(&(osgi.extender=jsp
 .taglib)(uri=http://liferay.com/tld/comment))",osgi.extender;filter:=
 "(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/data-engine)
 )",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://lif
 eray.com/tld/ddm))",osgi.extender;filter:="(&(osgi.extender=jsp.tagli
 b)(uri=http://liferay.com/tld/document-library))",osgi.extender;filte
 r:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/dynamic-s
 ection))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=htt
 p://liferay.com/tld/expando))",osgi.extender;filter:="(&(osgi.extende
 r=jsp.taglib)(uri=http://liferay.com/tld/export-import-changeset))",o
 sgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay
 .com/tld/friendly-url))",osgi.extender;filter:="(&(osgi.extender=jsp.
 taglib)(uri=http://liferay.com/tld/frontend))",osgi.extender;filter:=
 "(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/learn))",osg
 i.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.c
 om/tld/portlet))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)
 (uri=http://liferay.com/tld/ratings))",osgi.extender;filter:="(&(osgi
 .extender=jsp.taglib)(uri=http://liferay.com/tld/react))",osgi.extend
 er;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/s
 ecurity))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=ht
 tp://liferay.com/tld/sharing))",osgi.extender;filter:="(&(osgi.extend
 er=jsp.taglib)(uri=http://liferay.com/tld/site-navigation))",osgi.ext
 ender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tl
 d/template))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri
 =http://liferay.com/tld/theme))",osgi.extender;filter:="(&(osgi.exten
 der=jsp.taglib)(uri=http://liferay.com/tld/trash))",osgi.extender;fil
 ter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/ui))",o
 sgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay
 .com/tld/util))",osgi.service;filter:="(objectClass=com.liferay.asset
 .auto.tagger.configuration.AssetAutoTaggerConfigurationFactory)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.asset.di
 splay.page.portlet.AssetDisplayPageEntryFormProcessor)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.asset.display.pag
 e.portlet.AssetDisplayPageFriendlyURLProvider)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.asset.display.page.servic
 e.AssetDisplayPageEntryLocalService)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.asset.info.item.provider.AssetEntry
 InfoItemFieldSetProvider)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.asset.kernel.service.AssetCategoryLocalService
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.a
 sset.kernel.service.AssetEntryLocalService)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.asset.kernel.service.AssetEn
 tryService)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.asset.kernel.service.AssetLinkLocalService)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.asset.kernel.servic
 e.AssetTagLocalService)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.bulk.selection.BulkSelectionFactory)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.bulk.selection
 .BulkSelectionRunner)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.data.engine.rest.resource.v2_0.DataDefinitionResou
 rce$Factory)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.depot.group.provider.SiteConnectedGroupGroupProvider)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.depot.se
 rvice.DepotEntryLocalService)";effective:=active;resolution:=optional
 ,osgi.service;filter:="(objectClass=com.liferay.diff.Diff)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.document.libr
 ary.configuration.DLSizeLimitConfigurationProvider)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.document.library.dis
 play.context.DLDisplayContextProvider)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.document.library.display.context.
 DLMimeTypeDisplayContext)";effective:=active;resolution:=optional,osg
 i.service;filter:="(objectClass=com.liferay.document.library.kernel.s
 ervice.DLAppLocalService)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.document.library.kernel.service.DLAppService)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.doc
 ument.library.kernel.service.DLFileEntryLocalService)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.document.library.k
 ernel.service.DLFileEntryMetadataLocalService)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.document.library.kernel.s
 ervice.DLFileEntryTypeLocalService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.document.library.kernel.service.DLFi
 leEntryTypeService)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.document.library.kernel.service.DLFileVersionLocalSe
 rvice)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.document.library.kernel.service.DLFolderLocalService)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.document.libra
 ry.kernel.service.DLTrashService)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.document.library.kernel.store.Store)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.docu
 ment.library.kernel.util.AudioProcessor)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.document.library.kernel.util.DL
 Validator)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.document.library.kernel.util.ImageProcessor)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.document.library.ke
 rnel.util.PDFProcessor)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.document.library.kernel.util.VideoProcessor)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.docume
 nt.library.kernel.versioning.VersioningStrategy)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.document.library.previe
 w.DLPreviewRendererProvider)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.document.library.service.DLFileVersionPrevi
 ewLocalService)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.document.library.util.DLAssetHelper)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.document.library.util.
 DLURLHelper)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.document.library.web.internal.configuration.admin.service.C
 acheControlConfigurationManagedServiceFactory)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.document.library.web.inte
 rnal.display.context.DLAdminDisplayContextProvider)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.document.library.web
 .internal.display.context.IGDisplayContextProvider)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.document.library.web
 .internal.exportimport.portlet.preferences.processor.DLCommentsAndRat
 ingsExporterImporterCapability)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.document.library.web.internal.exportimpo
 rt.portlet.preferences.processor.DLExportImportPortletPreferencesProc
 essor)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.document.library.web.internal.helper.DLTrashHelper)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.document.library
 .web.internal.portlet.toolbar.contributor.DLPortletToolbarContributor
 Registry)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.document.library.web.internal.portlet.toolbar.contributor.help
 er.DLPortletToolbarContributorHelper)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.document.library.web.internal.port
 let.toolbar.contributor.helper.MenuItemProvider)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.document.library.web.in
 ternal.upload.DLUploadFileEntryHandler)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.document.library.web.internal.up
 load.DLUploadResponseHandler)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.dynamic.data.lists.service.DDLRecordSetLoc
 alService)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.dynamic.data.mapping.form.values.factory.DDMFormValuesFactory
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.d
 ynamic.data.mapping.info.item.provider.DDMFormValuesInfoFieldValuesPr
 ovider)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.dynamic.data.mapping.info.item.provider.DDMStructureInfoItemFiel
 dSetProvider)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.dynamic.data.mapping.security.permission.DDMPermissionSupp
 ort)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.dynamic.data.mapping.service.DDMStructureLinkLocalService)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.dynamic.dat
 a.mapping.service.DDMStructureLocalService)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.dynamic.data.mapping.service
 .DDMStructureService)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.dynamic.data.mapping.service.DDMTemplateService)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.dyna
 mic.data.mapping.storage.StorageEngine)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.dynamic.data.mapping.util.DDMBea
 nTranslator)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.dynamic.data.mapping.util.DDMFormValuesToMapConverter)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.expando
 .info.item.provider.ExpandoInfoItemFieldSetProvider)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.exportimport.change
 set.portlet.action.ExportImportChangesetMVCActionCommand)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.exportimport.k
 ernel.lar.ExportImportHelper)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.exportimport.kernel.lar.PortletDataHandler
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.e
 xportimport.kernel.staging.Staging)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.exportimport.portlet.preferences.pro
 cessor.Capability)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.friendly.url.info.item.provider.InfoItemFriendlyURLPr
 ovider)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.friendly.url.service.FriendlyURLEntryLocalService)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.info.item.InfoIt
 emServiceRegistry)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.info.item.field.reader.InfoItemFieldReaderFieldSetPro
 vider)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.info.item.renderer.InfoItemRendererRegistry)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.info.search.InfoSearchC
 lassMapperRegistry)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.item.selector.ItemSelector)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.item.selector.ItemSelectorU
 ploadResponseHandler)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.layout.display.page.LayoutDisplayPageProviderRegis
 try)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.layout.page.template.info.item.capability.DisplayPageInfoItemCapabi
 lity)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.layout.page.template.service.LayoutPageTemplateEntryService)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.layout.s
 eo.template.LayoutSEOTemplateProcessor)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.portal.kernel.json.JSONFactory)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.kernel.language.Language)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.kernel.model.Portlet)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.mo
 del.Release)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.portal.kernel.module.framework.ModuleServiceLifecycle)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.portal.
 kernel.portlet.PortletLayoutFinder)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.portal.kernel.repository.RepositoryP
 rovider)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.portal.kernel.scheduler.SchedulerEngineHelper)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.sched
 uler.TriggerFactory)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.kernel.security.permission.resource.ModelRes
 ourcePermission)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.portal.kernel.security.permission.resource.PortletResou
 rcePermission)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.portal.kernel.service.ClassNameLocalService)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.s
 ervice.CompanyLocalService)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.kernel.service.GroupLocalService)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.portal
 .kernel.service.LayoutLocalService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.portal.kernel.service.PortletPrefere
 ncesLocalService)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.portal.kernel.service.RepositoryLocalService)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kern
 el.service.RepositoryService)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.kernel.service.UserLocalService)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.porta
 l.kernel.settings.SettingsFactory)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.portal.kernel.util.FriendlyURLNormali
 zer)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.kernel.util.Html)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.portal.kernel.util.Localization)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.u
 til.Portal)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.portal.kernel.zip.ZipWriterFactory)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.template.info.item.capabili
 ty.TemplateInfoItemCapability)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.template.info.item.provider.TemplateInfoI
 temFieldSetProvider)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.trash.TrashHelper)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.trash.service.TrashEntryService)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.uploa
 d.UniqueFileNameProvider)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.upload.UploadHandler)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.upload.UploadResponseHandle
 r)";effective:=active,osgi.service;filter:="(objectClass=javax.servle
 t.ServletContext)";effective:=active,osgi.extender;filter:="(&(osgi.e
 xtender=osgi.component)(version>=1.4.0)(!(version>=2.0.0)))",osgi.con
 tract;osgi.contract=JavaServlet;filter:="(&(osgi.contract=JavaServlet
 )(version=3.1.0))",osgi.contract;osgi.contract=JavaPortlet;filter:="(
 &(osgi.contract=JavaPortlet)(version=3.0.0))",osgi.ee;filter:="(&(osg
 i.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.document.library.web.internal.
 application.list.DocumentLibraryPanelApp.xml,OSGI-INF/com.liferay.doc
 ument.library.web.internal.asset.model.DLFileEntryAssetRendererFactor
 y.xml,OSGI-INF/com.liferay.document.library.web.internal.asset.model.
 DLFolderAssetRendererFactory.xml,OSGI-INF/com.liferay.document.librar
 y.web.internal.bulk.selection.BulkSelectionRunnerUtil.xml,OSGI-INF/co
 m.liferay.document.library.web.internal.change.tracking.spi.display.D
 LFileEntryCTDisplayRenderer.xml,OSGI-INF/com.liferay.document.library
 .web.internal.change.tracking.spi.display.DLFileEntryTypeCTDisplayRen
 derer.xml,OSGI-INF/com.liferay.document.library.web.internal.change.t
 racking.spi.display.DLFileShortcutCTDisplayRenderer.xml,OSGI-INF/com.
 liferay.document.library.web.internal.change.tracking.spi.display.DLF
 ileVersionCTDisplayRenderer.xml,OSGI-INF/com.liferay.document.library
 .web.internal.change.tracking.spi.display.DLFolderCTDisplayRenderer.x
 ml,OSGI-INF/com.liferay.document.library.web.internal.change.tracking
 .spi.display.RepositoryCTDisplayRenderer.xml,OSGI-INF/com.liferay.doc
 ument.library.web.internal.configuration.admin.service.CacheControlCo
 nfigurationManagedServiceFactory.xml,OSGI-INF/com.liferay.document.li
 brary.web.internal.custom.attributes.DLFileEntryCustomAttributesDispl
 ay.xml,OSGI-INF/com.liferay.document.library.web.internal.custom.attr
 ibutes.DLFolderCustomAttributesDisplay.xml,OSGI-INF/com.liferay.docum
 ent.library.web.internal.data.engine.content.type.DLDataDefinitionCon
 tentType.xml,OSGI-INF/com.liferay.document.library.web.internal.displ
 ay.context.DLAdminDisplayContextProvider.xml,OSGI-INF/com.liferay.doc
 ument.library.web.internal.display.context.DLDisplayContextProviderIm
 pl.xml,OSGI-INF/com.liferay.document.library.web.internal.display.con
 text.IGDisplayContextProvider.xml,OSGI-INF/com.liferay.document.libra
 ry.web.internal.exportimport.lifecycle.CascadeFileEntryTypesExportImp
 ortLifecycleListener.xml,OSGI-INF/com.liferay.document.library.web.in
 ternal.exportimport.portlet.preferences.processor.DLCommentsAndRating
 sExporterImporterCapability.xml,OSGI-INF/com.liferay.document.library
 .web.internal.exportimport.portlet.preferences.processor.DLExportImpo
 rtPortletPreferencesProcessor.xml,OSGI-INF/com.liferay.document.libra
 ry.web.internal.exportimport.portlet.preferences.processor.IGDisplayE
 xportImportPortletPreferencesProcessor.xml,OSGI-INF/com.liferay.docum
 ent.library.web.internal.exportimport.portlet.preferences.processor.I
 GDisplayPortletDisplayTemplateExportCapability.xml,OSGI-INF/com.lifer
 ay.document.library.web.internal.exportimport.portlet.preferences.pro
 cessor.IGDisplayPortletDisplayTemplateImportCapability.xml,OSGI-INF/c
 om.liferay.document.library.web.internal.helper.DLTrashHelper.xml,OSG
 I-INF/com.liferay.document.library.web.internal.icon.provider.DLFileE
 ntryTypeIconProviderUtil.xml,OSGI-INF/com.liferay.document.library.we
 b.internal.info.collection.provider.BasicDocumentSingleFormVariationI
 nfoCollectionProvider.xml,OSGI-INF/com.liferay.document.library.web.i
 nternal.info.display.contributor.portlet.DLFileEntryAssetDisplayPageF
 riendlyURLResolver.xml,OSGI-INF/com.liferay.document.library.web.inte
 rnal.info.display.url.provider.FileEntryAssetInfoEditURLProvider.xml,
 OSGI-INF/com.liferay.document.library.web.internal.info.item.provider
 .FileEntryInfoItemCapabilitiesProvider.xml,OSGI-INF/com.liferay.docum
 ent.library.web.internal.info.item.provider.FileEntryInfoItemDetailsP
 rovider.xml,OSGI-INF/com.liferay.document.library.web.internal.info.i
 tem.provider.FileEntryInfoItemFieldValuesProvider.xml,OSGI-INF/com.li
 feray.document.library.web.internal.info.item.provider.FileEntryInfoI
 temFormProvider.xml,OSGI-INF/com.liferay.document.library.web.interna
 l.info.item.provider.FileEntryInfoItemFormVariationsProvider.xml,OSGI
 -INF/com.liferay.document.library.web.internal.info.item.provider.Fil
 eEntryInfoItemFriendlyURLProvider.xml,OSGI-INF/com.liferay.document.l
 ibrary.web.internal.info.item.provider.FileEntryInfoItemObjectProvide
 r.xml,OSGI-INF/com.liferay.document.library.web.internal.info.item.pr
 ovider.FileEntryInfoItemObjectVariationProvider.xml,OSGI-INF/com.life
 ray.document.library.web.internal.info.item.provider.FileEntryInfoIte
 mPermissionProvider.xml,OSGI-INF/com.liferay.document.library.web.int
 ernal.info.item.renderer.FileEntryAbstractInfoItemRenderer.xml,OSGI-I
 NF/com.liferay.document.library.web.internal.info.item.renderer.FileE
 ntryTitleInfoItemRenderer.xml,OSGI-INF/com.liferay.document.library.w
 eb.internal.info.item.updater.FileEntryInfoItemFriendlyURLUpdater.xml
 ,OSGI-INF/com.liferay.document.library.web.internal.info.list.rendere
 r.BulletedFileEntryBasicInfoListRenderer.xml,OSGI-INF/com.liferay.doc
 ument.library.web.internal.info.list.renderer.FileEntryBorderedBasicI
 nfoListRenderer.xml,OSGI-INF/com.liferay.document.library.web.interna
 l.info.list.renderer.InlineFileEntryBasicInfoListRenderer.xml,OSGI-IN
 F/com.liferay.document.library.web.internal.info.list.renderer.Number
 edFileEntryBasicInfoListRenderer.xml,OSGI-INF/com.liferay.document.li
 brary.web.internal.info.list.renderer.UnstyledFileEntryBasicInfoListR
 enderer.xml,OSGI-INF/com.liferay.document.library.web.internal.info.s
 earch.FileEntryInfoSearchClassMapper.xml,OSGI-INF/com.liferay.documen
 t.library.web.internal.lar.DLAdminPortletDataHandler.xml,OSGI-INF/com
 .liferay.document.library.web.internal.lar.DLPortletDataHandler.xml,O
 SGI-INF/com.liferay.document.library.web.internal.lar.IGDisplayPortle
 tDataHandler.xml,OSGI-INF/com.liferay.document.library.web.internal.l
 ayout.display.page.FileEntryLayoutDisplayPageProvider.xml,OSGI-INF/co
 m.liferay.document.library.web.internal.messaging.CheckFileEntryMessa
 geListener.xml,OSGI-INF/com.liferay.document.library.web.internal.mes
 saging.TempFileEntriesMessageListener.xml,OSGI-INF/com.liferay.docume
 nt.library.web.internal.model.listener.DLFileEntryTypeModelListener.x
 ml,OSGI-INF/com.liferay.document.library.web.internal.notifications.D
 LAddEntryUserNotificationDefinition.xml,OSGI-INF/com.liferay.document
 .library.web.internal.notifications.DLExpiredEntryUserNotificationDef
 inition.xml,OSGI-INF/com.liferay.document.library.web.internal.notifi
 cations.DLReviewEntryUserNotificationDefinition.xml,OSGI-INF/com.life
 ray.document.library.web.internal.notifications.DLUpdateEntryUserNoti
 ficationDefinition.xml,OSGI-INF/com.liferay.document.library.web.inte
 rnal.notifications.DLUserNotificationHandler.xml,OSGI-INF/com.liferay
 .document.library.web.internal.portal.settings.configuration.admin.di
 splay.DLSizeLimitCompanyConfigurationScreen.xml,OSGI-INF/com.liferay.
 document.library.web.internal.portal.settings.configuration.admin.dis
 play.DLSizeLimitGroupConfigurationScreen.xml,OSGI-INF/com.liferay.doc
 ument.library.web.internal.portal.settings.configuration.admin.displa
 y.DLSizeLimitSystemConfigurationScreen.xml,OSGI-INF/com.liferay.docum
 ent.library.web.internal.portlet.DLAdminEditPortletProvider.xml,OSGI-
 INF/com.liferay.document.library.web.internal.portlet.DLAdminPortlet.
 xml,OSGI-INF/com.liferay.document.library.web.internal.portlet.DLEdit
 PortletProvider.xml,OSGI-INF/com.liferay.document.library.web.interna
 l.portlet.DLPortlet.xml,OSGI-INF/com.liferay.document.library.web.int
 ernal.portlet.DLPortletLayoutFinder.xml,OSGI-INF/com.liferay.document
 .library.web.internal.portlet.IGDisplayPortlet.xml,OSGI-INF/com.lifer
 ay.document.library.web.internal.portlet.action.AddDataDefinitionMVCA
 ctionCommand.xml,OSGI-INF/com.liferay.document.library.web.internal.p
 ortlet.action.CompareVersionsMVCRenderCommand.xml,OSGI-INF/com.lifera
 y.document.library.web.internal.portlet.action.CopyDataDefinitionMVCA
 ctionCommand.xml,OSGI-INF/com.liferay.document.library.web.internal.p
 ortlet.action.DLAdminConfigurationAction.xml,OSGI-INF/com.liferay.doc
 ument.library.web.internal.portlet.action.DLConfigurationAction.xml,O
 SGI-INF/com.liferay.document.library.web.internal.portlet.action.DLVi
 ewMVCRenderCommand.xml,OSGI-INF/com.liferay.document.library.web.inte
 rnal.portlet.action.DeleteDataDefinitionMVCActionCommand.xml,OSGI-INF
 /com.liferay.document.library.web.internal.portlet.action.DownloadEnt
 riesMVCResourceCommand.xml,OSGI-INF/com.liferay.document.library.web.
 internal.portlet.action.EditDDMStructureMVCRenderCommand.xml,OSGI-INF
 /com.liferay.document.library.web.internal.portlet.action.EditEntryMV
 CActionCommand.xml,OSGI-INF/com.liferay.document.library.web.internal
 .portlet.action.EditFileEntryImageEditorMVCActionCommand.xml,OSGI-INF
 /com.liferay.document.library.web.internal.portlet.action.EditFileEnt
 ryMVCActionCommand.xml,OSGI-INF/com.liferay.document.library.web.inte
 rnal.portlet.action.EditFileEntryMVCRenderCommand.xml,OSGI-INF/com.li
 feray.document.library.web.internal.portlet.action.EditFileEntryTypeM
 VCActionCommand.xml,OSGI-INF/com.liferay.document.library.web.interna
 l.portlet.action.EditFileEntryTypeMVCRenderCommand.xml,OSGI-INF/com.l
 iferay.document.library.web.internal.portlet.action.EditFileShortcutM
 VCActionCommand.xml,OSGI-INF/com.liferay.document.library.web.interna
 l.portlet.action.EditFileShortcutMVCRenderCommand.xml,OSGI-INF/com.li
 feray.document.library.web.internal.portlet.action.EditFolderMVCActio
 nCommand.xml,OSGI-INF/com.liferay.document.library.web.internal.portl
 et.action.EditFolderMVCRenderCommand.xml,OSGI-INF/com.liferay.documen
 t.library.web.internal.portlet.action.EditRepositoryMVCActionCommand.
 xml,OSGI-INF/com.liferay.document.library.web.internal.portlet.action
 .EditRepositoryMVCRenderCommand.xml,OSGI-INF/com.liferay.document.lib
 rary.web.internal.portlet.action.EditSizeLimitsMVCActionCommand.xml,O
 SGI-INF/com.liferay.document.library.web.internal.portlet.action.GetF
 ileMVCActionCommand.xml,OSGI-INF/com.liferay.document.library.web.int
 ernal.portlet.action.IGDisplayConfigurationAction.xml,OSGI-INF/com.li
 feray.document.library.web.internal.portlet.action.IGDisplayViewMVCRe
 nderCommand.xml,OSGI-INF/com.liferay.document.library.web.internal.po
 rtlet.action.InfoPanelMVCResourceCommand.xml,OSGI-INF/com.liferay.doc
 ument.library.web.internal.portlet.action.PublishFileEntryMVCActionCo
 mmand.xml,OSGI-INF/com.liferay.document.library.web.internal.portlet.
 action.PublishFileShortcutMVCActionCommand.xml,OSGI-INF/com.liferay.d
 ocument.library.web.internal.portlet.action.PublishFolderMVCActionCom
 mand.xml,OSGI-INF/com.liferay.document.library.web.internal.portlet.a
 ction.SearchMVCRenderCommand.xml,OSGI-INF/com.liferay.document.librar
 y.web.internal.portlet.action.SelectFileVersionMVCRenderCommand.xml,O
 SGI-INF/com.liferay.document.library.web.internal.portlet.action.Subs
 cribeFileEntryTypeMVCActionCommand.xml,OSGI-INF/com.liferay.document.
 library.web.internal.portlet.action.UnsubscribeFileEntryTypeMVCAction
 Command.xml,OSGI-INF/com.liferay.document.library.web.internal.portle
 t.action.UpdateDataDefinitionMVCActionCommand.xml,OSGI-INF/com.lifera
 y.document.library.web.internal.portlet.action.UploadFileEntryMVCActi
 onCommand.xml,OSGI-INF/com.liferay.document.library.web.internal.port
 let.action.UploadMultipleFileEntriesMVCRenderCommand.xml,OSGI-INF/com
 .liferay.document.library.web.internal.portlet.action.UploadMultipleF
 ileEntriesMVCResourceCommand.xml,OSGI-INF/com.liferay.document.librar
 y.web.internal.portlet.action.ViewFileEntryHistoryMVCRenderCommand.xm
 l,OSGI-INF/com.liferay.document.library.web.internal.portlet.action.V
 iewFileEntryMVCRenderCommand.xml,OSGI-INF/com.liferay.document.librar
 y.web.internal.portlet.action.ViewSlideShowMVCRenderCommand.xml,OSGI-
 INF/com.liferay.document.library.web.internal.portlet.configuration.i
 con.AccessFromDesktopPortletConfigurationIcon.xml,OSGI-INF/com.lifera
 y.document.library.web.internal.portlet.configuration.icon.DeleteExpi
 redTemporaryFileEntriesPortletConfigurationIcon.xml,OSGI-INF/com.life
 ray.document.library.web.internal.portlet.configuration.icon.DeleteFo
 lderPortletConfigurationIcon.xml,OSGI-INF/com.liferay.document.librar
 y.web.internal.portlet.configuration.icon.DownloadFolderPortletConfig
 urationIcon.xml,OSGI-INF/com.liferay.document.library.web.internal.po
 rtlet.configuration.icon.EditFolderPortletConfigurationIcon.xml,OSGI-
 INF/com.liferay.document.library.web.internal.portlet.configuration.i
 con.FileEntryPermissionPortletConfigurationIcon.xml,OSGI-INF/com.life
 ray.document.library.web.internal.portlet.configuration.icon.FolderPe
 rmissionPortletConfigurationIcon.xml,OSGI-INF/com.liferay.document.li
 brary.web.internal.portlet.configuration.icon.MoveFolderPortletConfig
 urationIcon.xml,OSGI-INF/com.liferay.document.library.web.internal.po
 rtlet.configuration.icon.PermissionsPortletConfigurationIcon.xml,OSGI
 -INF/com.liferay.document.library.web.internal.portlet.configuration.
 icon.RepositoryPermissionPortletConfigurationIcon.xml,OSGI-INF/com.li
 feray.document.library.web.internal.portlet.display.template.IGPortle
 tDisplayTemplateHandler.xml,OSGI-INF/com.liferay.document.library.web
 .internal.portlet.route.DLFriendlyURLMapper.xml,OSGI-INF/com.liferay.
 document.library.web.internal.portlet.route.IGFriendlyURLMapper.xml,O
 SGI-INF/com.liferay.document.library.web.internal.portlet.toolbar.con
 tributor.DLPortletToolbarContributorRegistry.xml,OSGI-INF/com.liferay
 .document.library.web.internal.portlet.toolbar.contributor.DefaultDLP
 ortletToolbarContributor.xml,OSGI-INF/com.liferay.document.library.we
 b.internal.portlet.toolbar.contributor.IGPortletToolbarContributor.xm
 l,OSGI-INF/com.liferay.document.library.web.internal.portlet.toolbar.
 contributor.helper.DLPortletToolbarContributorHelper.xml,OSGI-INF/com
 .liferay.document.library.web.internal.portlet.toolbar.contributor.he
 lper.MenuItemProvider.xml,OSGI-INF/com.liferay.document.library.web.i
 nternal.ratings.definition.DLPortletRatingsDefinition.xml,OSGI-INF/co
 m.liferay.document.library.web.internal.security.permission.resource.
 DDMStructurePermission.xml,OSGI-INF/com.liferay.document.library.web.
 internal.security.permission.resource.DLFileEntryPermission.xml,OSGI-
 INF/com.liferay.document.library.web.internal.security.permission.res
 ource.DLFileEntryTypePermission.xml,OSGI-INF/com.liferay.document.lib
 rary.web.internal.security.permission.resource.DLFileShortcutPermissi
 on.xml,OSGI-INF/com.liferay.document.library.web.internal.security.pe
 rmission.resource.DLFolderPermission.xml,OSGI-INF/com.liferay.documen
 t.library.web.internal.security.permission.resource.DLPermission.xml,
 OSGI-INF/com.liferay.document.library.web.internal.servlet.CacheContr
 olFileEntryHttpHeaderCustomizer.xml,OSGI-INF/com.liferay.document.lib
 rary.web.internal.servlet.taglib.definition.DocumentLibraryDataLayout
 BuilderDefinition.xml,OSGI-INF/com.liferay.document.library.web.inter
 nal.social.DLFileEntryActivityInterpreter.xml,OSGI-INF/com.liferay.do
 cument.library.web.internal.social.DLFolderActivityInterpreter.xml,OS
 GI-INF/com.liferay.document.library.web.internal.struts.FindFileEntry
 StrutsAction.xml,OSGI-INF/com.liferay.document.library.web.internal.s
 truts.FindFolderStrutsAction.xml,OSGI-INF/com.liferay.document.librar
 y.web.internal.struts.GetFileStrutsAction.xml,OSGI-INF/com.liferay.do
 cument.library.web.internal.upgrade.registry.DLWebUpgradeStepRegistra
 tor.xml,OSGI-INF/com.liferay.document.library.web.internal.upload.DLU
 ploadFileEntryHandler.xml,OSGI-INF/com.liferay.document.library.web.i
 nternal.upload.DLUploadResponseHandler.xml,OSGI-INF/com.liferay.docum
 ent.library.web.internal.util.DLAssetHelperUtil.xml,OSGI-INF/com.life
 ray.document.library.web.internal.util.DLWebComponentProvider.xml,OSG
 I-INF/com.liferay.document.library.web.internal.util.DataRecordValues
 Util.xml,OSGI-INF/com.liferay.document.library.web.internal.webdav.DL
 WebDAVStorageImpl.xml
Tool: Bnd-4.3.0.201909301554
Web-ContextPath: /document-library-web

